>From 0f65015bed38b2dc03d1245a4e82afff5a01c426 Mon Sep 17 00:00:00 2001
From: Tycho Andersen <tycho.andersen@canonical.com>
Date: Tue, 1 Dec 2015 08:59:30 -0700
Subject: [PATCH] log: use the right size for timestamp formatting

v2: get rid of extra debug crap

Signed-off-by: Tycho Andersen <tycho.andersen@canonical.com>
---
 src/lxc/log.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/lxc/log.c b/src/lxc/log.c
index f44a1d9..20be5ac 100644
--- a/src/lxc/log.c
+++ b/src/lxc/log.c
@@ -90,7 +90,7 @@ static int log_append_logfile(const struct lxc_log_appender *appender,
 		return 0;
 
 	t = localtime(&event->timestamp.tv_sec);
-	strftime(date, sizeof(LXC_LOG_DATEFOMAT_SIZE), "%Y%m%d%H%M%S", t);
+	strftime(date, sizeof(date), "%Y%m%d%H%M%S", t);
 	ms = event->timestamp.tv_usec / 1000;
 	n = snprintf(buffer, sizeof(buffer),
 		     "%15s %10s.%03d %-8s %s - %s:%s:%d - ",
-- 
2.6.2

